# Created by pyp2rpm-3.3.2
%global pypi_name tinycss2

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 3
Summary:        Low-level CSS parser for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/tinycss2/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(webencodings) >= 0.4
BuildRequires:  python3dist(sphinx)

%description
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(webencodings) >= 0.4

%description -n python3-%{pypi_name}
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1532215
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 1.0.2-2.mga8
+ Revision: 1442271
- rebuild for python3.8
- update description

* Fri Aug 09 2019 shlomif <shlomif> 1.0.2-1.mga8
+ Revision: 1428460
- New version 1.0.2 - remove doc and py2 pkgs

* Thu Jan 10 2019 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1354642
- pyp2rpm

